Create Post
curl --request POST \
--url https://api.example.com/api/v1/projects/{project_id}/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Content": "<string>",
"Media": "<string>",
"TemplateId": "<string>",
"PromptId": "<string>",
"ScheduleDate": "2023-11-07T05:31:56Z",
"Timezone": "<string>",
"Platforms": [
"INSTAGRAM",
"FACEBOOK",
"LINKEDIN",
"X",
"YOUTUBE",
"TIKTOK",
"PINTEREST",
"REDDIT",
"TELEGRAM",
"THREADS"
],
"Status": "DRAFT"
}
'import requests
url = "https://api.example.com/api/v1/projects/{project_id}/posts"
payload = {
"Content": "<string>",
"Media": "<string>",
"TemplateId": "<string>",
"PromptId": "<string>",
"ScheduleDate": "2023-11-07T05:31:56Z",
"Timezone": "<string>",
"Platforms": ["INSTAGRAM", "FACEBOOK", "LINKEDIN", "X", "YOUTUBE", "TIKTOK", "PINTEREST", "REDDIT", "TELEGRAM", "THREADS"],
"Status": "DRAFT"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Content: '<string>',
Media: '<string>',
TemplateId: '<string>',
PromptId: '<string>',
ScheduleDate: '2023-11-07T05:31:56Z',
Timezone: '<string>',
Platforms: [
'INSTAGRAM',
'FACEBOOK',
'LINKEDIN',
'X',
'YOUTUBE',
'TIKTOK',
'PINTEREST',
'REDDIT',
'TELEGRAM',
'THREADS'
],
Status: 'DRAFT'
})
};
fetch('https://api.example.com/api/v1/projects/{project_id}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {},
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Posts
Create Post
POST
/
api
/
v1
/
projects
/
{project_id}
/
posts
Create Post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
